# panos_commit – commit firewall’s candidate configuration

- DEPRECATED

- Synopsis

- Requirements

- Parameters

- Examples

- Return Values

- Status

## DEPRECATED

Removed in Ansible

  version: 2.12

Why

  Consolidating code base.

Alternative

  Use https://galaxy.ansible.com/PaloAltoNetworks/paloaltonetworks instead.

## Synopsis

- PanOS module that will commit firewall’s candidate configuration on

- the device. The new configuration will become active immediately.

## Requirements

The below requirements are needed on the host that executes this module.

- pan-python

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
commit_changes_by list added in 2.8 |  | Commit changes made by specified admin
commit_vsys list added in 2.8 |  | Commit changes for specified VSYS
description string added in 2.8 |  | Commit description/comment
interval - | Default: 0.5 | interval for checking commit job
ip_address - / required |  | IP address (or hostname) of PAN-OS device.
password - / required |  | Password for authentication. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_PASSWORD` will be used instead.

sync
boolean

Choices:
- no
- yes ←

if commit should be synchronous

timeout - |  | timeout for commit job
username - | Default: "admin" | Username for authentication. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_USERNAME` will be used instead if defined. `admin` will be used if nothing above is defined.

## Examples

    # Commit candidate config on 192.168.1.1 in sync mode
    - panos_commit:
        ip_address: "192.168.1.1"
        username: "admin"
        password: "admin"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
panos_commit complex added in 2.8 | always | Information about commit job.
| job_id string | always | Palo Alto job ID for the commit operation. Only returned if commit job is launched on device. Sample: 139
| status_code string | always | Palo Alto API status code. Null if commit is successful. Sample: 19
| status_detail string | always | Palo Alto API detailed status message. Sample: Configuration committed successfully
| status_text string | always | Palo Alto API status text. Sample: success

## Status

- This module will be removed in version 2.12. [deprecated]

- For more information see DEPRECATED.

### Authors

- Luigi Mori (@jtschichold)

- Ivan Bojer (@ivanbojer)

- Tomi Raittinen (@traittinen)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.